REM  =============================================================================
REM
REM  The IMAGE table is used to store BLOBS. It contains a unique 
REM  primary key (NAME) and three dependent fields,
REM  IMG_SIZE, MIME_TYPE, and IMAGE.
REM
REM  The MIME_TYPE field must contain values that can be recodnized by
REM  you WEB Browser.
REM  Some valid types includes: image/gif image/jpeg text/plain
REM  text/html etc.
REM 
REM  Blobs can be loaded with the included "ldblob" utility.
REM
REM  When a request is made for a image, for example if you enter
REM  the following URL:
REM       http://your.host.com/AgentName/owa/image=frank
REM  the BLOB with name=frank will be extracted from the IMAGE table
REM  for display.
REM
REM  =============================================================================

create table image (
  NAME       VARCHAR2(255),
  MIME_TYPE  VARCHAR2(30),
  IMG_SIZE   NUMBER,
  IMAGE      LONG RAW,
  constraint image_pk primary key(name)
)
/

create sequence img_seq
/
